pcl::PCLHeader Struct Reference

`#include <pcl/PCLHeader.h>`

## Public Types

using | Ptr = shared_ptr< PCLHeader >
using | ConstPtr = shared_ptr< const PCLHeader >

## Public Attributes

std::uint32_t | seq = 0
| Sequence number. More...
std::uint64_t | stamp = 0
| A timestamp associated with the time when the data was acquired. More...
std::string | frame_id
| Coordinate frame ID. More...

## Detailed Description

Definition at line 10 of file PCLHeader.h.

## Member Typedef Documentation

## ConstPtr

using pcl::PCLHeader::ConstPtr = shared_ptr<const PCLHeader>

Definition at line 23 of file PCLHeader.h.

## Ptr

using pcl::PCLHeader::Ptr = shared_ptr<PCLHeader>

Definition at line 22 of file PCLHeader.h.

## Member Data Documentation

## frame_id

std::string pcl::PCLHeader::frame_id

Coordinate frame ID.

Definition at line 20 of file PCLHeader.h.

Referenced by pcl::operator<<(), and pcl::operator==().

## seq

std::uint32_t pcl::PCLHeader::seq = 0

Sequence number.

Definition at line 13 of file PCLHeader.h.

Referenced by pcl::operator<<(), and pcl::operator==().

## stamp

std::uint64_t pcl::PCLHeader::stamp = 0

A timestamp associated with the time when the data was acquired.

The value represents microseconds since 1970-01-01 00:00:00 (the UNIX epoch).

Definition at line 18 of file PCLHeader.h.

Referenced by pcl::PointCloud< PointT >::concatenate(), pcl::PolygonMesh::concatenate(), pcl::operator<<(), and pcl::operator==().

The documentation for this struct was generated from the following file:

- pcl/PCLHeader.h